#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7
#define true 1
#define false 0
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class RPT_LifeVest
      	{
		units[] = {RPT_LifeVestAqua; RPT_LifeVestYellow};
		weapons[] = {};
		requiredVersion = 1.91;
      	};
};

class CfgSounds // add inflation sound & breathing sound later
{
	class RPT_swimslow
	{
		name = "RPT_swimslow";
		sound[] = {"\RPT_LifeVest\Sound\swim.ogg", db-70, 1.0};
		titles[]={ };
	};
	class RPT_swimfast
	{
		name = "RPT_swimfast";
		sound[] = {"\RPT_LifeVest\Sound\swim.ogg", db-40, 1.0};
		titles[]={ };
	};
};

class cfgAmmo
{
	class Default{};
	class Grenade : Default {};
	class Flare : Grenade {};
	class RPT_SkyFlare : Flare
	{
		hit=0;indirectHit=0;indirectHitRange=.01;
		lightColor[] = {1,1,1,1};
		visibleFire=32;
		audibleFire=10;
		visibleFireTime=80;
	};
	class RPT_SkyFlareRed : RPT_SkyFlare
	{
		lightColor[] = {1,0,0,1};
	};
	class RPT_SkyFlareGreen : RPT_SkyFlare
	{
		lightColor[] = {0,1,0,1};
	};
	class RPT_SkyFlareYellow : RPT_SkyFlare
	{
		lightColor[] = {1,1,0,1};
	};
	class RPT_ShotWhite : Flare
	{
		simulation=shotBullet;
		tracerColor[] = {1,1,1,1};
		visibleFire=32;
		audibleFire=10;
		visibleFireTime=80;
	};
	class RPT_ShotRed : RPT_ShotWhite
	{
		tracerColor[] = {1,0,0,1};
	};
	class RPT_ShotGreen : RPT_ShotWhite
	{
		tracerColor[] = {0,1,0,1};
	};
	class RPT_ShotYellow : RPT_ShotWhite
	{
		tracerColor[] = {1,1,0,1};
	};
	class RPT_Grenade : Grenade
	{
		simulation=shotBullet;
		tracerColor[] = {0,0,0,1};
	};
	class GrenadeHand : Grenade {};
	class SmokeShell : GrenadeHand {};
	class RPT_DepthTest : SmokeShell
	{
		hit=0;indirectHit=0;indirectHitRange=.01;
		cost=1;
		soundHit[]={};
		soundFly[]={};
		soundEngine[]={};
		smokeColor[] = {1,1,1,0};
		class Smoke
		{
			interval = 1;
			cloudletDuration = 0
			cloudletAnimPeriod = 1;
			cloudletSize = 0;
			cloudletAlpha = 0;
			cloudletGrowUp = 0;
			cloudletFadeIn = 0;
			cloudletFadeOut = 0
			cloudletAccY = 0;
			cloudletMinYSpeed = 0;
			cloudletMaxYSpeed = 0;
			cloudletShape = "cl_basic";
			cloudletColor[] = {1,1,1,0};
			initT = 1000;
			deltaT = -500;
			class Table
			{
				class T1 {maxT = 0; color[] = {1,1,1,0};}
				class T2 {maxT = 1; color[] = {1,1,1,0};}
			};
			density = 1;
			size = 0;
			initYSpeed = 0;
			timeToLive = 0;
			in = 0;
			out = 0;
		};
	};
};

class cfgWeapons
{
	class Default {};
	class RPT_ShotFlare : Default
	{
		ammo=RPT_ShotWhite;
		displayName="Illumination Flare";
		displayNameMagazine="Illumination Flare";
		shortNameMagazine="Illumination Flare";	
		count=3;
		reloadTime=3;
		sound[]={"\RPT_LifeVest\Sound\flarelaunch.ogg",db-70,1};
		initSpeed=120;
		optics=false;
		canLock=LockNo;
		flash=;
		flashSize=0;
		dispersion=0.015;
		aiDispersionCoefY=2.0; // dispersion used to simulate distance est. error
		maxLeadSpeed = 150;
	};
	class RPT_ShotFlare2 : RPT_ShotFlare
	{
		count=2;
	};
	class RPT_ShotFlare1 : RPT_ShotFlare
	{
		count=1;
	};
	class RPT_ShotFlareRed : RPT_ShotFlare
	{
		ammo=RPT_ShotRed;
		count=5;
		displayName="Red Flare";
		displayNameMagazine="Red Flare";
		shortNameMagazine="Red Flare";	
	};
	class RPT_ShotFlareRed4 : RPT_ShotFlareRed
	{
		count=4;
	};
	class RPT_ShotFlareRed3 : RPT_ShotFlareRed
	{
		count=3;
	};
	class RPT_ShotFlareRed2 : RPT_ShotFlareRed
	{
		count=2;
	};
	class RPT_ShotFlareRed1 : RPT_ShotFlareRed
	{
		count=1;
	};
	class RPT_ShotFlareGreen : RPT_ShotFlare
	{
		ammo=RPT_ShotGreen;
		displayName="Green Flare";
		displayNameMagazine="Green Flare";
		shortNameMagazine="Green Flare";	
	};
	class RPT_ShotFlareGreen2 : RPT_ShotFlareGreen
	{
		count=2;
	};
	class RPT_ShotFlareGreen1 : RPT_ShotFlareGreen
	{
		count=1;
	};
	class RPT_ShotFlareYellow : RPT_ShotFlare
	{
		ammo=RPT_ShotYellow;
		displayName="Yellow Flare";
		displayNameMagazine="Yellow Flare";
		shortNameMagazine="Yellow Flare";	
	};
	class RPT_ShotFlareYellow2 : RPT_ShotFlareYellow
	{
		count=2;
	};
	class RPT_ShotFlareYellow1 : RPT_ShotFlareYellow
	{
		count=1;
	};
	class RPT_Grenade : RPT_ShotFlare
	{
		ammo=RPT_Grenade;
		count=6;
		displayName="Grenade";
		displayNameMagazine="Grenade";
		shortNameMagazine="Grenade";
		initSpeed=90;
		maxLeadSpeed=50;
	};
	class RPT_Grenade5 : RPT_Grenade
	{
		count=5;
	};
	class RPT_Grenade4 : RPT_Grenade
	{
		count=4;
	};
	class RPT_Grenade3 : RPT_Grenade
	{
		count=3;
	};
	class RPT_Grenade2 : RPT_Grenade
	{
		count=2;
	};
	class RPT_Grenade1 : RPT_Grenade
	{
		count=1;
	};
	class RPT_FlareTube: Default
	{
		scopeWeapon = public;
		scopeMagazine = private;
		reloadSound[]={"\RPT_LifeVest\Sound\load.ogg", db-70, 1.0};
		backgroundReload = true;
		ffMagnitude=.1;
		ffFrequency=1;
		ffcount=1;
		magazines[] = 
			{
				RPT_Grenade,
				RPT_Grenade5,
				RPT_Grenade4,
				RPT_Grenade3,
				RPT_Grenade2,
				RPT_Grenade1,
				RPT_ShotFlareRed,
				RPT_ShotFlareRed4,
				RPT_ShotFlareRed3,
				RPT_ShotFlareRed2,
				RPT_ShotFlareRed1,
				RPT_ShotFlare,
				RPT_ShotFlare2,
				RPT_ShotFlare1,
				RPT_ShotFlareGreen,
				RPT_ShotFlareGreen2,
				RPT_ShotFlareGreen1,
				RPT_ShotFlareYellow,
				RPT_ShotFlareYellow2,
				RPT_ShotFlareYellow1
			};
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles : All{};
	class Land : AllVehicles{};
	class LandVehicle : Land {};
	class Car : LandVehicle {};
	class Jeep : Car {};
	class JeepMG : Jeep {};
	class RPT_LifeVestAqua : JeepMG
	{
		//editor-user info
		model="\RPT_LifeVest\LifeVestAqua";
		icon="\RPT_LifeVest\Vest_Icon.paa";
		picture="\RPT_LifeVest\Vest.paa";
		displayName="RPT_LifeVestAqua";
		isMan = true;
				
		//player info
		unitInfoType=UnitInfoSoldier;
		extCameraPosition[]={0,2,-8};
		castDriverShadow=true;
		class ViewPilot
   		{
      			initAngleX=0;
      			minAngleX=-60;
      			maxAngleX=30;
      			initAngleY=0;
      			minAngleY=-180;
      			maxAngleY=180;
      			initFov=0.7;
      			minFov=0.35;
      			maxFov=0.85;
   		};
		
		//AI info
		type=vsoft;
		side=1;
		cost=100;
		irTarget=0;
		threat[]={1,.05,.05};
		unloadInCombat = 0;
		preferRoads = 0;
		spotableNightLightsOff=0.01;
		spotableNightLightsOn=3;
		visibleNightLightsOff=.1;
		visibleNightLightsOn=.2;
		sensitivity=2;
		sensitivityEar=0.13;
		camouflage=.25;
		audible=.1;
		accuracy=.3;	

		//Movement
		maxSpeed=15;
		wheelCircumference=1;
		turnCoef=10;
		terrainCoef=100;//Major problem area --> smaller=faster on land
		steerAheadSimul=1;
		steerAheadPlan=1;
		predictTurnSimul=1;
		predictTurnPlan=1;
		brakeDistance=1;
		formationX=10;
		formationZ=10;
		precision=1;
		formationTime=3;
		fuelCapacity=25;

		//Crew & Cargo Stuff
		crew="SoldierWPilot";
		hasDriver=1;
		hasGunner=0;
		hasCommander=0;
		driverIsCommander=1;
		transportSoldier=0;
		transportMaxMagazines=0;
		transportMaxWeapons=0;
		getInRadius=0;
		driverAction="ManActM2A2Gunnerout";
		ejectSpeed[]={0,0,0};

		//Game Engine Stuff
		canFloat=1;
		reversed=1;
		simulation="car";
		//simulation="ship";

		//Sound
		nameSound="man";
		soundEngine[]={};
		soundGear[]={};
   		soundEnviron[]={};
   		soundServo[]={};
   		soundDammage[]={};
   		soundGetOut[]={};
   		soundCrash[]={};
		soundLandCrash[]={};
   		soundWaterCrash[]={};
		insideSoundCoef = 1;
		
		//Structural
		armor=10;
		destrType=DestructNo;
		armorGlass=0.000001;
		armorBody=0.000001;
		armorFuel=0.000001;
		armorLights=0.000001;
		armorWheels=0.000001;
		dammageHalf[]={};
		dammageFull[]={};
		armorStructural=0.000001;
		secondaryExplosion=0;

		//weapons
		weapons[]={RPT_FlareTube};
		magazines[]={RPT_Grenade,RPT_ShotFlareRed,RPT_ShotFlare,RPT_ShotFlareGreen,RPT_ShotFlareYellow};
		enableAttack=1;
		class Turret
		{
			gunAxis = "osahlavne";
			turretAxis = "osaveze";
			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			soundServo[]={};
			minElev=-5; maxElev=+90;
			minTurn=-45; maxTurn=+45;
			body = "otocvez";
			gun = "otochlaven";
		};
		
		//Lights
		class Reflectors
		{
			class light
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "light pos";
				direction = "light dir";
				hitpoint = "light pos";
				selection = "light pos";
				size = 2;
				brightness = 0.25;
			};
		};

		// Unused (but still has to be in config)
		class IndicatorAltBaro
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorSpeed
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorSpeed2
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};
		class IndicatorRPM
		{
			selection="empty";
			axis="empty";
			angle=0;
			min=0;
			max=0;
		};

		class HitEngine
		{
			armor=0.00001;
			material=60;
			name="engine";
			passThrough=1;
		};

		//Event Handlers
		class EventHandlers
		{
			init="[_this select 0] exec {\RPT_LifeVest\LVScripts\LVinit.sqs}";
			getout="_this exec {\RPT_LifeVest\LVScripts\GetOut.sqs}";
			fired="_this exec {\RPT_LifeVest\LVScripts\FlareControl.sqs}; _this exec {\RPT_LifeVest\LVScripts\magManager.sqs}";
			killed="_this exec {\RPT_LifeVest\LVScripts\deadVest.sqs}";
		};
	};

	class RPT_LifeVestYellow : RPT_LifeVestAqua
	{
		model="\RPT_LifeVest\LifeVestYellow";
		displayName="RPT_LifeVestYellow";
		camouflage=3;
		spotableNightLightsOff=0.1;
	};
};